<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/functions_uzer.dat");
include("../sistem/global.dat");

if(isset($_GET['t'])){$t = $_GET['t'];}
$t=htmlspecialchars($t);


if (eregi("[^0-9]" , $t))
{
   include("../temes/$teme/verh.dat");
   echo'<div class="razd"><B>Форум</B></div>';
   echo'запрещённые символы<br>';
}else
{
   if(file_exists("../data/forum/$t.tem") && file_exists("../data/forum/$t.topik"))
   {
      $cfg_tem = file_get_contents("../data/forum/$t.tem");
      $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      
      if(file_exists("../data/forum/$cfg_tem[1].razd"))
      {
         $cfg_razd = file_get_contents("../data/forum/$cfg_tem[1].razd");
         $cfg_razd = explode("<||>",$cfg_razd);
         
         $title = $cfg_tem[2];
         include("../temes/$teme/verh.dat");
         echo'<div class="razd"><B>Форум</B></div>';
         echo'<a href="index.php?'.SID.'">Форумы</a> <B>|</B> <a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">'.$cfg_razd[0].'</a>';
         echo' <B>|</B> '.$cfg_tem[2].' <a href="addtemes.php?t='.$t.'&amp;param_member=temes_menu&amp;'.SID.'">[i]</a><br>';
         
         //вывод сообшений
         $str = file("../data/forum/$t.topik");
         $nom=count($str);
         
         //начало новой навигации
         if(isset($_GET['nom_page']) && ($_GET['nom_page'] != "")){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
         if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
         $asd = $nom_page - 1;
         $i= $asd * $nav_forum_post;
         $var = $i+$nav_forum_post;
         if($nom < $i){ $var = 0; echo'Страница не найдена!<br>'; }
         
         //выводим ссылку на последнюю страницу
         $kol_page = ceil($nom / $nav_forum_post); 
         if(($nom_page == "1") && ($kol_page > "1"))
         {
            echo '&#187;<a href="topik.php?t='.$t.'&amp;nom_page='.$kol_page.'&amp;'.SID.'">К посл. стр.</a><br>';
         }
         //закончили выводить ссылку на последнюю страницу
         
         while($i < $var)
         {
            if($i < $nom)
            {
      	       $arr=explode("<||>",$str[$i]);
      	       
      	                if(file_exists("../avators/$arr[0].jpg")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.jpg&type=0" alt="ава"><br>';}
                        elseif(file_exists("../avators/$arr[0].JPG")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.JPG&type=0" alt="ава"><br>';}
                        elseif(file_exists("../avators/$arr[0].jpeg")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.jpeg&type=0" alt="ава"><br>';}
                        elseif(file_exists("../avators/$arr[0].JPEG")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.JPEG&type=0" alt="ава"><br>';}
                        elseif(file_exists("../avators/$arr[0].gif")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.gif&type=0" alt="ава"><br>';}
                        elseif(file_exists("../avators/$arr[0].GIF")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.GIF&type=0" alt="ава"><br>';}
                        elseif(file_exists("../avators/$arr[0].png")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.png&type=0" alt="ава"><br>';}
                        elseif(file_exists("../avators/$arr[0].PNG")){$img = '<img src="../avators/avator.php?f='.$arr[0].'.PNG&type=0" alt="ава"><br>';}
                        else{$img = $img_forum_post;}
                        
      	       
      	       
      	       
      	       
      	       $n = $i + 1;
      	       echo'<div class="ramk"><div class="sob">'.$img.$n.'.<a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$arr[0].'&amp;'.SID.'"><B>'.$arr[0].'</B></a> '.postov($arr[0]).''.online($arr[0]).''.status_in_forum($arr[0]).'<br>';//инфо у юзаре написавшего пост
      	       echo''.$arr[1].'</div>';//время поста
      	       echo''.$arr[2].'';//Сам пост
      	       if($status=="uzer" || $status=="moder" || $status=="admin")
      	       {
      	          echo'<br><a href="form_topik.php?t='.$t.'&amp;act=otvet&amp;if_uzer='.$arr[0].'&amp;'.SID.'">[отв]</a>';
      	          echo'<a href="form_topik.php?t='.$t.'&amp;act=quote&amp;if_uzer='.$arr[0].'&amp;fid='.$i.'&amp;'.SID.'">[цит]</a>';
      	       }
      	       if($status=="moder" || $status=="admin")
      	       {
      	          echo'<a href="addtopik.php?t='.$t.'&amp;fid='.$i.'&amp;param_member=post_dell&amp;'.SID.'">[удал]</a>';
      	          echo'<a href="addtopik.php?t='.$t.'&amp;fid='.$i.'&amp;param_member=post_izm&amp;'.SID.'">[изм]</a><br>';
      	       }
               echo'</div>';
            }
            ++$i;
         }
         
         //конец новой навигации
         $kol_page = ceil($nom / $nav_forum_post); 
         
         
         //навигация вперёд, назад
         if("1" < $nom_page)
         {
            $nom_previous_page = $nom_page - 1;
            echo '<a href="topik.php?t='.$t.'&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
         }else{ echo 'Назад'; }
         echo'|';
         if($kol_page > $nom_page)
         {
            $nom_next_page = $nom_page + 1;
            echo '<a href="topik.php?t='.$t.'&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
         }else{ echo 'Далее'; }
         echo'<br>';
         
         //навигация по номерам страниц
         $a = $nom_page - 3;
         $b = $nom_page +3;
         
         if($a > 1)
         {
            echo'<a href="topik.php?t='.$t.'&amp;nom_page=1&amp;'.SID.'">1</a> ';
            if($a > 2){ echo'... '; }
         }
         while($a <= $b)
         {
            if(($a > 0) && ($a <= $kol_page))
            {
               if($nom_page == $a)
               {
                  echo'<b>('.$a.')</b> ';
               }else
               {
                  echo'<a href="topik.php?t='.$t.'&amp;nom_page='.$a.'&amp;'.SID.'">'.$a.'</a> ';
               }
            }
            ++$a;
         }
         if($b < $kol_page)
         {
            if($b < ($kol_page - 1)){ echo'... '; }
            echo'<a href="topik.php?t='.$t.'&amp;nom_page='.$kol_page.'&amp;'.SID.'">'.$kol_page.'</a> ';
         }
         //конец вывода сообщений
         
         
         if($status=="uzer" || $status=="moder" || $status=="admin")
         {
            if($cfg_tem[0] == "activ" || $cfg_tem[0] == "zacrep")
            {
               echo'<br>';
               echo'<form name="forma" action="new_topik.php?'.SID.'" method="post">';
               echo'<INPUT TYPE="hidden" NAME="t" VALUE="'.$t.'">';
               echo'Текст сообщения<br>';
               echo'<TEXTAREA NAME="txtsob" ROWS=3 COLS=20></TEXTAREA><br>';
               echo'<input type="submit" name="" value="Сказать"><br></form>';
               echo'&#187;<a href="../pages/smiles.php?act=1&amp;'.SID.'">Смайлы</a>|<a href="../pages/bb.php?'.SID.'">BB коды</a><br>';
            }else
            {
               echo'<B>Тема закрыта</B><br>';
            }
         }
         echo'<hr size="2" width="100%">';
         echo'<a href="search.php?param_member=new&amp;'.SID.'">Популярные темы</a>|<a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">К темам</a>|<a href="index.php?'.SID.'">Форум</a>|';
      }else
      {
         include("../temes/$teme/verh.dat");
         echo'<div class="razd"><B>Форум</B></div>';
         echo'Темы или раздела несуществует <a href="index.php?'.SID.'">В форум</a><br>';
      }
   }else
   {
      include("../temes/$teme/verh.dat");
      echo'<div class="razd"><B>Форум</B></div>';
      echo'Темы или раздела несуществует <a href="index.php?'.SID.'">В форум</a><br>';
   }
}

echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>